ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
ome::files::tiff::TIFF::Impl Class Reference

Internal implementation details of TIFF. More...

Collaboration diagram for ome::files::tiff::TIFF::Impl:
[legend]

## Public Member Functions
| Impl (const boost::filesystem::path &filename, const std::string &mode)
| The constructor. More...
| ~Impl ()
| The destructor. More...
void | close ()
| Close the libtiff file handle. More...

## Public Attributes
::TIFF * | tiff
| The libtiff file handle.
directory_index_type | directoryCount
| The number of IFDs.

## Private Member Functions
| Impl (const Impl &)
| Copy constructor (deleted).
Impl & | operator= (const Impl &)
| Assignment operator (deleted).

## Detailed Description

Internal implementation details of TIFF.

## Constructor & Destructor Documentation

ome::files::tiff::TIFF::Impl::Impl | ( | const boost::filesystem::path & | filename,
|  | const std::string & | mode
| ) |  |
| inline

The constructor.

Opens the TIFF using TIFFOpen().

Parameters

  filename | the filename to open.
  mode | the file open mode.

References ome::files::tiff::Sentry::error().

ome::files::tiff::TIFF::Impl::~Impl | ( |  | ) |
| inline

The destructor.

The open TIFF will be closed if open.

Todo:
  Log the error elsewhere.

References close().

## Member Function Documentation

void ome::files::tiff::TIFF::Impl::close | ( |  | ) |
| inline

Close the libtiff file handle.

If open, the file handle will be closed with TIFFClose.

References ome::files::tiff::Sentry::error(), and ome::files::tiff::Sentry::getMessage().

Referenced by ~Impl().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- ome/files/tiff/TIFF.cpp